InvalidSyntaxException
Date: 2016-06-24

org.osgi.framework

## Class InvalidSyntaxException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.osgi.framework.InvalidSyntaxException

- All Implemented Interfaces:
    java.io.Serializable

      public class InvalidSyntaxException
      extends java.lang.Exception

  A Framework exception used to indicate that a filter string has an invalid syntax.

  An `InvalidSyntaxException` object indicates that a filter string parameter has an invalid syntax and cannot be parsed. See `Filter` for a description of the filter string syntax.

  This exception conforms to the general purpose exception chaining mechanism.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidSyntaxException(java.lang.String msg, java.lang.String filter)` Creates an exception of type `InvalidSyntaxException`.
    `InvalidSyntaxException(java.lang.String msg, java.lang.String filter, java.lang.Throwable cause)` Creates an exception of type `InvalidSyntaxException`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Throwable` | `getCause()` Returns the cause of this exception or `null` if no cause was set.
    `java.lang.String` | `getFilter()` Returns the filter string that generated the `InvalidSyntaxException` object.
    `java.lang.Throwable` | `initCause(java.lang.Throwable cause)` Initializes the cause of this exception to the specified value.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidSyntaxException

          public InvalidSyntaxException(java.lang.String msg,
                                java.lang.String filter)

      Creates an exception of type `InvalidSyntaxException`.

      This method creates an `InvalidSyntaxException` object with the specified message and the filter string which generated the exception.

      Parameters:
        `msg` - The message.
        `filter` - The invalid filter string.

    - #### InvalidSyntaxException

          public InvalidSyntaxException(java.lang.String msg,
                                java.lang.String filter,
                                java.lang.Throwable cause)

      Creates an exception of type `InvalidSyntaxException`.

      This method creates an `InvalidSyntaxException` object with the specified message and the filter string which generated the exception.

      Parameters:
        `msg` - The message.
        `filter` - The invalid filter string.
        `cause` - The cause of this exception.
      Since:
        1.3

  - ### Method Detail

    - #### getFilter

          public java.lang.String getFilter()

      Returns the filter string that generated the `InvalidSyntaxException` object.
      Returns:
        The invalid filter string.
      See Also:
        `BundleContext.getServiceReferences(Class, String)`, `BundleContext.getServiceReferences(String, String)`, `BundleContext.addServiceListener(ServiceListener,String)`

    - #### getCause

          public java.lang.Throwable getCause()

      Returns the cause of this exception or `null` if no cause was set.
      Overrides:
        `getCause` in class `java.lang.Throwable`
      Returns:
        The cause of this exception or `null` if no cause was set.
      Since:
        1.3

    - #### initCause

          public java.lang.Throwable initCause(java.lang.Throwable cause)

      Initializes the cause of this exception to the specified value.
      Overrides:
        `initCause` in class `java.lang.Throwable`
      Parameters:
        `cause` - The cause of this exception.
      Returns:
        This exception.
      Throws:
        `java.lang.IllegalArgumentException` - If the specified cause is this exception.
        `java.lang.IllegalStateException` - If the cause of this exception has already been set.
      Since:
        1.3